<?php
/**
 * Template part for displaying posts 
 * @package rooten
 * @since 1.0.0
 * @version 1.0.0
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if (is_single()) :
			the_title('<h1 class="entry-title">', '</h1>');
		else :
			the_title('<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>');
		endif;

		if ('post' === get_post_type()) : ?>
			<div class="entry-meta">
				<?php rooten_posted_on(); ?>
			</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		the_content(sprintf(
			/* translators: %s: Name of current post. */
			wp_kses(esc_html__('Continue reading %s <span class="meta-nav">&rarr;</span>', 'rooten'), array('span' => array('class' => array()))),
			the_title('<span class="screen-reader-text">"', '"</span>', false)
		));

		wp_link_pages([
			'before' => '<div class="page-links">' . esc_html__('Pages:', 'rooten'),
			'after'  => '</div>',
		]);
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php rooten_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->