<?php

/**
 * Template part for displaying site copyright
 * @package rooten
 * @since 1.0.0
 * @version 1.0.0
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */

if (get_post_meta(get_the_ID(), 'rooten_copyright', true) != 'hide') {

	$rooten_class             = ['tm-copyright', 'bdt-section', 'bdt-section-' . get_theme_mod('rooten_copyright_bg_style') . '', 'bdt-section-' . get_theme_mod('rooten_copyright_padding') . '', 'bdt-text-' . get_theme_mod('rooten_copyright_align', 'left') . ''];
	$rooten_container_class   = ['bdt-container', 'bdt-container-' . get_theme_mod('rooten_copyright_width') . ''];
	$rooten_grid_class        = ['bdt-grid', 'bdt-flex', 'bdt-flex-middle', 'bdt-child-width-expand@m'];
	$background_image = '';

	if (get_theme_mod('rooten_copyright_bg_style') === 'media' and get_theme_mod('rooten_copyright_bg_img') != '') {
		ob_start();
		$background_image .= rooten_helper::attrs(['style' => 'background-image: url(' . get_theme_mod('rooten_copyright_bg_img') . ')']);
		$background_image .= ob_get_clean();
	}

?>

	<div id="tmCopyright" <?php rooten_helper::attrs(['class' => $rooten_class]) ?> <?php echo esc_attr($background_image) ?>>
		<div <?php rooten_helper::attrs(['class' => $rooten_container_class]) ?>>
			<div <?php rooten_helper::attrs(['class' => $rooten_grid_class]) ?> data-bdt-grid>
				<div class="bdt-width-expand@m">
					<?php if (has_nav_menu('copyright')) {
						echo wp_nav_menu(array('theme_location' => 'copyright', 'container_class' => 'tm-copyright-menu bdt-display-inline-block', 'menu_class' => 'bdt-subnav bdt-subnav-line bdt-subnav-divider bdt-margin-small-bottom', 'depth' => 1));
					}

					if (get_theme_mod('rooten_copyright_text_custom_show')) : ?>
						<div class="copyright-txt"><?php echo wp_kses_post(get_theme_mod('rooten_copyright_text_custom')); ?></div>
					<?php else : ?>
						<div class="copyright-txt">&copy; <?php esc_html_e('Copyright', 'rooten') ?> <?php echo esc_html(date("Y ")); ?> <?php esc_html_e('All Rights Reserved by', 'rooten') ?> <a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo('name'); ?>"> <?php echo esc_html(bloginfo('name')); ?> </a></div>
					<?php endif; ?>
				</div>
				<div class="bdt-width-auto@m">
					<?php get_template_part('template-parts/copyright-social'); ?>
				</div>
			</div>
		</div>
	</div>

<?php
}
